Support Forums

Support Offline : Mon - Fri / 10am - 6pm (GMT +6)

Your Time: Our Time:

After changing the PHP version to 7.1.25 getting error 0 - Too few arguments to function JLayoutFile::render(), 0 passed in /com_sppagebuilder/parser/addon-parser.php on line 304 and exactly 1 expected

Featured Lock Resolved Issue
Please help

Attachments (1)

  • addonparserissue_sppagebilder.jpg
    addonparserissue_sppagebilder.jpg 113.3 KB

38 Answers

Anil Passi

More than a month ago #Permalink
HI Paul


I am able resolve the addon-parser error myself for which I raised the question on forum.


I did a small change . I passed parameter 1 to method render() as shown below in addon-parser.php file


$output .= $layouts->addon_end->render(1); // end addon


And the issue is sorted It was not at all a template issue .


Thanks & Regards

Paul Frankowski - Staff

More than a month ago #Permalink
Hi,
Today I tested SPPB with PHP 7.3 and was OK,
so maybe your template overrides some addons,
please test this same view from a different template.
---
There is a possibility that your template was created for SPPB v2.5.x only

Anil Passi

More than a month ago #Permalink
what could be the solution . I dont want to change the template as it will affect the whole website . What Could be the solution ?

Anil Passi

More than a month ago #Permalink
HI Paul


I Purchased SP Page Builder to get the support please help me to resolve this issue its very critical for me .


Website URL is : http://a2ftest.com


Website is accessible via firefox or opera browser , via chrome its not accessible since its flaged spam by google don't know why


Please let me know if you require any other details

Thanks

Paul Frankowski - Staff

More than a month ago #Permalink
1) Your website is marked as not secured by Firefox / Chrome browser maybe was hacked?
I cannot check until is RED.


2) If you have this folder
templates\YourTheme\sppagebuilder\ - please rename and check again

*YourTheme = means your template name

Anil Passi

More than a month ago #Permalink
no its flagged spam by google dont know why .

If you have opera browser it works fine in it or Microsoft edge

Paul Frankowski - Staff

More than a month ago #Permalink
I asked you to do (2)

Paul Frankowski - Staff

More than a month ago #Permalink
Probably your site was hacked, that's why was marked as phishing.
Cleaning website from malware & secure may cost between $80-$110.
If you want - let me know.

Anil Passi

More than a month ago #Permalink
Sorry cannot afford that

Anil Passi

More than a month ago #Permalink
I asked you to do (2)



I cannot find spapgebuilder under templates

Paul Frankowski - Staff

More than a month ago #Permalink
In that case, reinstall Joomla core files.
Update template to the last version from the developer website.

Are you able to switch PHP 7.2

7.1 is quite buggy.

Anil Passi

More than a month ago #Permalink
Even on PHP 7.2 same error



I have updated the corpway template to the latest version already

Attachments (1)

  • phpversion.jpg
    phpversion.jpg 13.3 KB

Anil Passi

More than a month ago #Permalink
Can you please try to access the website using Microsoft edge or opera till then I am checking with Google how to whitelist

Anil Passi

More than a month ago #Permalink
Can anyone help me to sort out he issues . ?

Paul Frankowski - Staff

More than a month ago #Permalink
1) Click to my avatar and send me full access to website administrator I will take a look.

2) Your site what template uses: name / developer?

Anil Passi

More than a month ago #Permalink
Hi Paul


I think My test website is now having some issue Joomla backend is not working . When you messaged i checked its not working . Give me a day time I will again recover the website from backup and give the access to you


Sorry for this

Below is the issue

This site can’t be reached
The web page at https://a2ftest.com/administrator/ might be temporarily down or it may have moved permanently to a new web address.

ERR_CONTENT_DECODING_FAILED

Anil Passi

More than a month ago #Permalink
Hi Paul


I have rebuild the website . Now Joomla version is 3.6.5 . Shall I upgrade SP Page Builder before upgrading Joomla.

Any pre requisites ?

Anil Passi

More than a month ago #Permalink
Now even without upgrading Joomla or SP Page Builder I am getting the same error while accessing http;//a2ftest.com

Do you want the access via PM

Regards

Paul Frankowski - Staff

More than a month ago #Permalink
We can support only Joomla 3.8 - I cannot help if you have old CMS installed.

Yes, you have to update all extensions and templates before Joomla update.

Maybe use with PHP 7.0.x by now. It has to be something else.

As I told before you have to try with a different template set as default.

Anil Passi

More than a month ago #Permalink
Hi Paul

I have upgraded Joomla to 3.9.1 and still the same error as previously > I want to make sure it works latest PHP version otherwise Joomla Backend gives warning/error for PHP 7.0-

Anil Passi

More than a month ago #Permalink
I tried with all the available different templates same error I am getting

Anil Passi

More than a month ago #Permalink
I am very disappointed with the support I am getting . I am sure its not related to template because if I change php version to 7.0 I am not getting this error. But Jooomla 3.9.1 does not support PHP 7.0 I have to use PHP7.2 .


And when I change PHP version to 7.2 I am getting the error as mentioned above

Anil Passi

More than a month ago #Permalink
Paul I have sent you the Joomla Backend details via PM


Please have a look , I am really very tensed now


Thanks

Paul Frankowski - Staff

More than a month ago #Permalink
Ok, yes, please send me access as a super user.
---
Joomla 3.9.1 does support PHP 7.0 -- it's just warning that official PHP 7.0 ended. Read message text again.

Anil Passi

More than a month ago #Permalink
I sent you the Joomla Super user access via PM

Paul Frankowski - Staff

More than a month ago #Permalink
Thanks.
---
BTW
Even popular Avast antivirus tells that your site is infected. No joke (!)

red.png

Attachments (1)

  • red.png
    red.png 25.5 KB

Paul Frankowski - Staff

More than a month ago #Permalink
Very importnat tip:
You CANNOT use any

< script src="/ ....


inside SPPB it only causes problems. For this code use custom modules(!), not addons.
On your Home page I found those (!) inside text addon.

Anil Passi

More than a month ago #Permalink
Okay I removed that src code from the text addon still the error persists

Paul Frankowski - Staff

More than a month ago #Permalink
I set "Home - fixed" as your new home page.
For test purposes I set that page here:
http://a2ftest.com/page

I removed all javascript from the first addon.
Whole rest is as it was in original Home.

Paul Frankowski - Staff

More than a month ago #Permalink
http://a2ftest.com/ -- is ok now, as I said

Anil Passi

More than a month ago #Permalink
Hi Paul,


Yes now its resolved due to update of JCE code window was different as compared to previously in input box addon . So I entered the code in code window and then tried issues is resolved now .


Thanks a lot Paul , if you could have taken the access long back issues would have been sorted much earlier.
Anyway's thanks a lot .

Cheers

Anil Passi

More than a month ago #Permalink
Hi Paul

Can you please set back the original home Page i need to do few test


Thanks A lot

Anil Passi

More than a month ago #Permalink
I did it Thanks

Anil Passi

More than a month ago #Permalink
Hi Paul


The workaround you provided disturbs my Home Page view .That is not we want. And that src code we require its a search bar for all the products on our website which is linked to custom code of our payment gateway


if its the problem of src code in text addon then why it works properly If I switch to PHP version 7.0 .


The error arises as soon as I increase the version of PHP.

Paul Frankowski - Staff

More than a month ago #Permalink
in that case, keep 7.0 for now, sorry

Anil Passi

More than a month ago #Permalink
Okay Paul Can you please tell me how can i add a search box in sp page builder page . This is most required thing currently which gets disturbed when I upgrade the PHP version . If there is any other way please guide me through it

Paul Frankowski - Staff

More than a month ago #Permalink
You can publish search module inside template module position or by using Module Addon.


There are no replies made for this post yet.
However, you are not allowed to reply to this post.

Leaderboard (30 days)

Sifat

Sifat

Total Accepted Answers: 122
Paul Frankowski

Paul Frankowski

Total Accepted Answers: 90
Toufiq

Toufiq

Total Accepted Answers: 33
Pavel

Pavel

Total Accepted Answers: 3
Al Mamun

Al Mamun

Total Accepted Answers: 3

100+

Templates

200,000+

Community Users

Newsletter

Don’t miss any updates of our new templates and extensions and all the astonishing offers we bring for you.
We never spam

Joomla! ® name is used under a limited license from Open Source Matters in the United States and other countries. JoomShaper.com is not affiliated with or endorsed by Open Source Matters or the Joomla! Project.

Connect Us